--- old/usr/src/tools/ndrgen/ndrgen.sh	2018-02-17 00:12:53.841004135 +0000
+++ new/usr/src/tools/ndrgen/ndrgen.sh	2018-02-17 00:12:53.874644324 +0000
@@ -77,12 +77,6 @@
 	else
 		CC=$1
 		shift $(($OPTIND - 1))
-
-		# Check for cw being invoked with -_cc or -_gcc
-		if [[ $1 = "-_cc" || $1 = "-_gcc" ]] ; then
-			CC_ARG=$1
-			shift $(($OPTIND - 1))
-		fi
 	fi
 fi
 
@@ -90,7 +84,10 @@
 	ndrgen_usage "C pre-processor is not defined"
 fi
 
-if [ ! -f $CC ] || [ ! -x $CC ] ; then
+# Remove the non-cw options
+CC=${CC%% -- *}
+
+if [ ! -f ${CC%% *} ] || [ ! -x ${CC%% *} ] ; then
 	ndrgen_usage "cannot run $CC"
 fi
 
@@ -106,7 +103,7 @@
 
 	cp $i $TMP_NAME
 
-	if $CC $CC_ARG -E  -D__a64 -D__EXTENSIONS__ -D_FILE_OFFSET_BITS=64 \
+	if $CC  -E  -D__a64 -D__EXTENSIONS__ -D_FILE_OFFSET_BITS=64 \
 		-I. -I${INCDIR} -I${INCDIR}/ndl -DNDRGEN $TMP_NAME | \
 		$NDRPROG > $BASENAME.raw
 	then
